export declare type ErrorName = 'InvalidToken' | 'InvalidParams' | 'InvalidUploadHost' | 'HttpRequestError' | 'FileSystemError' | 'NetworkError' | 'InternalError';
export declare class UploadError implements Error {
    name: ErrorName;
    message: string;
    reqId?: string | undefined;
    stack: string | undefined;
    constructor(name: ErrorName, message: string, reqId?: string | undefined);
}
export declare class HttpRequestError extends UploadError {
    httpCode: number;
    reqId?: string | undefined;
    constructor(httpCode: number, message: string, reqId?: string | undefined);
}
