import { UploadError } from './error';
export declare type ErrorResult = {
    error: UploadError;
};
export declare type CanceledResult = {
    canceled: true;
};
export declare type SuccessResult<R = unknown> = {
    result: R;
};
export declare type Result<R = unknown> = SuccessResult<R> | ErrorResult | CanceledResult;
export declare function isErrorResult(result: Result<any>): result is ErrorResult;
export declare function isCanceledResult(result: Result<any>): result is CanceledResult;
export declare function isSuccessResult<R>(result: Result<R>): result is SuccessResult<R>;
