import { TokenProvider } from '../../../types/token';
import { Result } from '../../../types/types';
import { Task } from '../queue';
import { QueueContext } from '../context';
export declare type TokenProgressKey = 'prepareUploadToken';
export declare class TokenProvideTask implements Task {
    private context;
    private userTokenProvider;
    private cachedToken?;
    private abort;
    constructor(context: QueueContext<TokenProgressKey>, userTokenProvider: TokenProvider);
    private isExpired;
    /** 获取上传 token；自动根据 token 的过期时间更新 token */
    private getUploadToken;
    cancel(): Promise<Result>;
    process(notice: () => void): Promise<Result>;
}
