import { UploadFile } from '../../types/file';
import { MkblkData } from '../../api';
import { UploadConfig, UploadTask } from '../types';
import { HostProgressKey } from '../common/host';
import { TokenProgressKey } from '../common/token';
import { UploadContext } from '../common/context';
export declare type MultipartUploadV1ProgressKey = HostProgressKey | TokenProgressKey | 'completeMultipartUpload' | `multipartUpload:${number}`;
export declare class MultipartUploadV1Context extends UploadContext<MultipartUploadV1ProgressKey> {
    uploadBlocks: MkblkData[];
    setup(): void;
}
export declare const createMultipartUploadV1Task: (file: UploadFile, config: UploadConfig) => UploadTask<MultipartUploadV1Context>;
