import { UploadFile } from '../../types/file';
import { PartMeta, InitPartsUploadData, UploadedPart } from '../../api';
import { UploadTask, UploadConfig } from '../types';
import { UploadContext } from '../common/context';
import { HostProgressKey } from '../common/host';
import { TokenProgressKey } from '../common/token';
export declare type MultipartUploadV2ProgressKey = HostProgressKey | TokenProgressKey | 'initMultipartUpload' | 'completeMultipartUpload' | `multipartUpload:${number}`;
export declare class MultipartUploadV2Context extends UploadContext<MultipartUploadV2ProgressKey> {
    uploadPartId?: InitPartsUploadData;
    uploadedParts: Array<PartMeta | UploadedPart>;
    setup(): void;
}
export declare const createMultipartUploadV2Task: (file: UploadFile, config: UploadConfig) => UploadTask<MultipartUploadV2Context>;
